; 10.07.2005 Testsignal fuer Fahrtregler
; EmbSys: Evelyn Paulus, Stefan Dunz


; ATmega163, 4Mhz (3686400)
.include "m163def.inc"
.def temp1 = r16

.CSEG
.ORG 0

reset:



; PORTD Eingang fuer Taster 0 bis 2
; ---------------------------------
ldi temp1,0x00
out DDRD, temp1



; PORTB Ausgang fuer 2 Testsignale
; ---------------------------------
ldi temp1,0x00000011
out DDRB,temp1
        	
ldi temp1,0x00000011
out PORTB,temp1



; Hauptroutine: Taster gedrueckt halten
; ----------------------------------------------------------
main:
	sbis PIND,0
	rcall rueckwaerts
	
	sbis PIND,1
	rcall neutral
	
	sbis PIND,2
	rcall vorwaerts
	
	rjmp main


; Testroutinen
; ----------------------------------------------------------

; Rueckwaertslauf
rueckwaerts:				
	sbi PORTB,0		; ein
	rcall high_008  ; high-Pegel

	cbi PORTB,0		; aus
	rcall low_5	; low-Pegel

	ret


; Nueutralposition: pruefen, ob Nullpunkt einstellbar
neutral:
	sbi PORTB,0
	rcall high_013

	cbi PORTB,0
	rcall low_5

	ret

; Vorwaertslauf
vorwaerts:
	sbi PORTB,0
	rcall high_020
	cbi PORTB,0
	rcall low_5

	ret
; ----------------------------------------------------------


; Inlcude-Datei mit verschiedenen Verzoegerungsschleifen
.include "SignalHigh.asm"
.include "SignalLow.asm"

; EOF
